### Method

# Gtk Window set_destroy_with_parent

#### Declaration [src]

    void
    gtk_window_set_destroy_with_parent (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

Sets whether to destroy the window when the transient parent is destroyed.

This is useful for dialogs that shouldn’t persist beyond the lifetime of the main window they are associated with, for example.

Sets property | `Gtk.Window:destroy-with-parent`

#### Parameters

`setting`

  Type: `gboolean`

  Whether to destroy the window with its transient parent.